Subject: RE: building gcc/g++ seems OK but building g77 seems to be seriously broken
From: "ted byers" <[email-masked]>
To: "'Billinghurst, David \(CRTS\)'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 19 Jul 2001 09:13:48 -0400

Thanks,

I retrieved and installed dejagnu-1.4.1, and made the various edits
recommended (before proceeding with the installation).

I used the usual install procedure:

./configure
make
make install

However, it had no effect on the g77 tests, except that they took about 50%
longer to finish.

Cheers,

Ted

-----Original Message-----
From: Billinghurst, David (CRTS)
[mailto:[email-masked]]
Sent: Tuesday, July 17, 2001 7:56 PM
To: ted byers
Cc: [email-masked]
Subject: RE: building gcc/g++ seems OK but building g77 seems to be
seriously broken

I would recommend installing installing dejagnu-1.4.1 (which you need for
libstdc++-v3) and fixing a line break problem
http://mail.gnu.org/pipermail/dejagnu/2001-May/000031.html

I posted some stuff about this to the cygwin, dejagnu and cygwin lists
earlier this year.  Try searching google using "cygwin dejagnu g77
billinghurst" for some background.

> -----Original Message-----
> From:	Mumit Khan [SMTP:[email-masked]]
> Sent:	Wednesday, 18 July 2001 8:24
> To:	ted byers
> Cc:	[email-masked]
> Subject:	Re: building gcc/g++ seems OK but building g77 seems to be
> seriously broken
>
> On Tue, 17 Jul 2001, ted byers wrote:
>
> > Well, I have now built GCC3 a couple times, trying to figure out what
> has
> > gone awry, but nothing seems to fix g77 (the summary given below show
> why I
> > think it is seriously broken).  gcc and g++ seem to be OK since their
> > respective test suites give the expected results (the number of
> unexpected
> > failures being extemely small).
>
> When you report gcc build problems, you really need to provide the flags
> you passed to configure. Too many variables otherwise.
>
> > 		=== g77 Summary ===
> >
> > # of expected passes		281
> > # of unexpected failures	334
> > # of untested testcases		326
> > /home/Bted/Objects/gcc/g77 g77 version 3.0 (Fortran Frontend version
> 0.5.26
> > 20010617 (experimental))
>
> Probably a problem in the g77 tests, which passes the -lm, and that causes
> a problem on Cygwin 1.1.x.
>
> Regards,
> Mumit
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/